using ConstructorApp.BusinessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Concrete
{
    public class CompanyInfoVideoManager : ICompanyInfoVideoService
    {
        private readonly ICompanyInfoVideoDal _companyInfoVideoDal;

        public CompanyInfoVideoManager(ICompanyInfoVideoDal companyInfoVideoDal)
        {
            _companyInfoVideoDal = companyInfoVideoDal;
        }

        public void TAdd(CompanyInfoVideo entity)
        {
            _companyInfoVideoDal.Add(entity);
        }

        public void TDelete(CompanyInfoVideo entity)
        {
           _companyInfoVideoDal.Delete(entity);
        }

        public CompanyInfoVideo TGetByID(int id)
        {
            return _companyInfoVideoDal.GetByID(id);
        }

        public List<CompanyInfoVideo> TGetListAll()
        {
            return _companyInfoVideoDal.GetListAll();
        }

        public void TUpdate(CompanyInfoVideo entity)
        {
            _companyInfoVideoDal.Update(entity);    
        }
    }
}
